{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidUsagerGroupe }}</div>
{% endblock %}

{% block formulaire %}
 {#MC 20200909 DEBUT Modif de class bootstrap#}   
<div class="LesChamps card ml-0 pl-3">
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {# Génération du label. #}
    
    {% if (poForm.ddebut is defined) %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.ddebut, "Début ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.ddebut, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
            </div>
        </div>
    {% endif %}
    
    {% if poForm.dfin is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.dfin, "fin ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.dfin, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
</div>
    
<div class="LesChamps ml-0 pl-3">
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
        {# Génération du label. #}
        {% if poForm.igroupe is defined %}
            <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
                {{ form_label(poForm.igroupe, "Groupe ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.igroupe, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {# Génération du label. #}
        {% if poForm.lparticipeauxseancesdugroupe is defined %}
            <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
                {{ form_label(poForm.lparticipeauxseancesdugroupe, "Participe", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.lparticipeauxseancesdugroupe, {'attr': {'class': 'shadow-form-control border-0 '}}) }}
                </div>
            </div>
        {% endif %}
   
   </div>

   
{% endblock %}
